=== debian/changelog ===
xerial-sqlite-jdbc (3.36.0.3+dfsg1-3~bpo11+2) bullseye-backports; urgency=medium

  * Fixing CVE-2023-32697 with the related upstream change

 -- Pierre Gruet <pgt@debian.org>  Wed, 28 Jun 2023 17:31:37 +0200

xerial-sqlite-jdbc (3.36.0.3+dfsg1-3~bpo11+1) bullseye-backports; urgency=medium

  * Team upload.
  * Rebuild for bullseye-backports.

 -- Markus Koschany <apo@debian.org>  Sat, 19 Feb 2022 00:15:01 +0100

xerial-sqlite-jdbc (3.36.0.3+dfsg1-3) unstable; urgency=medium

  * Installing the NOTICE file in the -jni package
  * Handling the build, test and install manually (not through Maven)
    for the -jni package

 -- Pierre Gruet <pgt@debian.org>  Tue, 15 Feb 2022 16:07:06 +0100

xerial-sqlite-jdbc (3.36.0.3+dfsg1-2) unstable; urgency=medium

  * Removing build-dependency on debhelper
  * Looking for the shared lib in the right place during build-time tests

 -- Pierre Gruet <pgt@debian.org>  Mon, 14 Feb 2022 22:11:27 +0100

xerial-sqlite-jdbc (3.36.0.3+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #930333)

 -- Pierre Gruet <pgt@debian.org>  Wed, 12 Jan 2022 15:28:50 +0100
