=== debian/control ===
Source: xerial-sqlite-jdbc
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Pierre Gruet <pgt@debian.org>,
           Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               dh-exec,
               junit5 <!nocheck>,
               libhamcrest-java <!nocheck>,
               libmaven-compiler-plugin-java,
               libmaven-jar-plugin-java,
               libsqlite3-dev,
               maven-debian-helper
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/java-team/xerial-sqlite-jdbc
Vcs-Git: https://salsa.debian.org/java-team/xerial-sqlite-jdbc.git
Rules-Requires-Root: no
Homepage: https://github.com/xerial/sqlite-jdbc

Package: libxerial-sqlite-jdbc-java
Architecture: all
Depends: libxerial-sqlite-jdbc-jni (>= ${source:Version}),
         libxerial-sqlite-jdbc-jni (<< ${source:Version}.1~),
         ${maven:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Xerial's SQLite JDBC Driver
 SQLite JDBC, developed by Taro L. Saito, is a library for accessing and
 creating SQLite database files in Java.

Package: libxerial-sqlite-jdbc-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xerial's SQLite JDBC Driver (jni)
 SQLite JDBC, developed by Taro L. Saito, is a library for accessing and
 creating SQLite database files in Java.
 .
 This package contains the jni.
