=== debian/changelog ===
xerial-sqlite-jdbc (3.39.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.39.2.0+dfsg
  * Refreshing patches
  * Raising Standards version to 4.6.1 (no change)
  * Apply multi-arch hints. + libxerial-sqlite-jdbc-jni: Add Multi-Arch: same.
  * Skipping the test of the OSInfo class
  * Updating dependencies and Maven (ignore) rules
  * Adding a Lintian override for the bad jar name

 -- Pierre Gruet <pgt@debian.org>  Mon, 15 Aug 2022 22:17:59 +0200
