=== debian/control ===
--- 
+++ 
@@ -11,9 +11,10 @@
                libhamcrest-java <!nocheck>,
                libmaven-compiler-plugin-java,
                libmaven-jar-plugin-java,
+               libmockito-java <!nocheck>,
                libsqlite3-dev,
                maven-debian-helper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/java-team/xerial-sqlite-jdbc
 Vcs-Git: https://salsa.debian.org/java-team/xerial-sqlite-jdbc.git
 Rules-Requires-Root: no
@@ -33,6 +34,7 @@
 Package: libxerial-sqlite-jdbc-jni
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Xerial's SQLite JDBC Driver (jni)
  SQLite JDBC, developed by Taro L. Saito, is a library for accessing and
  creating SQLite database files in Java.
