=== debian/changelog ===
xerial-sqlite-jdbc (3.39.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.39.4.0+dfsg
  * Refreshing patches
  * Skipping tests depending on unpackaged testing framework
  * Build-Depending on assertj-code instead of hamcrest for the tests
  * Updating Maven ignoreRules

 -- Pierre Gruet <pgt@debian.org>  Thu, 17 Nov 2022 08:30:18 +0100
