=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                default-jdk,
                dh-exec,
                junit5 <!nocheck>,
-               libhamcrest-java <!nocheck>,
+               libassertj-core-java <!nocheck>,
                libmaven-compiler-plugin-java,
                libmaven-jar-plugin-java,
                libmockito-java <!nocheck>,
