=== debian/changelog ===
xerial-sqlite-jdbc (3.40.1.0+dfsg-1+deb12u1) bookworm; urgency=medium

  * Using a random UUID for the connection (Fixes CVE-2023-32697 in Bookworm,
    Closes: #1036706)

 -- Pierre Gruet <pgt@debian.org>  Tue, 13 Jun 2023 23:19:59 +0200

xerial-sqlite-jdbc (3.40.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.40.1.0+dfsg
  * Refreshing patches
  * Raising Standards version to 4.6.2 (no change)
  * Reordering patches dedicated to changing Maven behaviour
  * Adding the missing junit-jupiter-params artifact in the dependencies

 -- Pierre Gruet <pgt@debian.org>  Sat, 04 Feb 2023 14:24:45 +0100
