=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libmockito-java <!nocheck>,
                libsqlite3-dev,
                maven-debian-helper
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/java-team/xerial-sqlite-jdbc
 Vcs-Git: https://salsa.debian.org/java-team/xerial-sqlite-jdbc.git
 Rules-Requires-Root: no
