## xerial-sqlite-jdbc 3.42.0.0+dfsg

=== debian/changelog ===
xerial-sqlite-jdbc (3.42.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.42.0.0+dfsg:
    - Fixes CVE-2023-32697 (Closes: #1036706)
  * Refreshing patches
  * Stopping shipping the removed README.md file
  * Building without graal-sdk, which is unpackaged
  * Updating d/maven.ignoreRules for plugins to skip
  * Set upstream metadata fields: Security-Contact.
  * Removing unused Lintian override

 -- Pierre Gruet <pgt@debian.org>  Sun, 11 Jun 2023 23:16:54 +0200
