=== debian/changelog ===
xerial-sqlite-jdbc (3.44.1.0+dfsg-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:55:05 +0200

xerial-sqlite-jdbc (3.44.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.44.1.0+dfsg
  * Refreshing patches
  * Depending on libslf4j-java, using javahelper to put its jar in the
    Manifest file of the jar
  * Updating Maven ignoreRules
  * Further patching the Makefiles
  * Omitting one test assertion as it relies on an unpackaged class
  * Updating the autopkgtest
  * Rely on pre-initialized dpkg-architecture variables.

 -- Pierre Gruet <pgt@debian.org>  Fri, 01 Dec 2023 11:06:18 +0100
