=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: xerial-sqlite-jdbc
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Pierre Gruet <pgt@debian.org>,
            Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: debhelper-compat (= 13),
                default-jdk,
                dh-exec,
+               javahelper,
                junit5 <!nocheck>,
                libassertj-core-java <!nocheck>,
                libmaven-compiler-plugin-java,
                libmaven-jar-plugin-java,
                libmockito-java <!nocheck>,
+               libslf4j-java,
                libsqlite3-dev,
                maven-debian-helper
 Standards-Version: 4.6.2
@@ -24,6 +27,7 @@
 Architecture: all
 Depends: libxerial-sqlite-jdbc-jni (>= ${source:Version}),
          libxerial-sqlite-jdbc-jni (<< ${source:Version}.1~),
+         ${java:Depends},
          ${maven:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
