=== debian/changelog ===
xerial-sqlite-jdbc (3.45.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.45.2.0+dfsg
  * Refreshing patches
  * Raising Standards version to 4.7.0 (no change)
  * Refreshing the list of files to exclude when repacking

 -- Pierre Gruet <pgt@debian.org>  Wed, 10 Apr 2024 21:53:15 +0200
