=== debian/changelog ===
xerial-sqlite-jdbc (3.46.1.3+dfsg-1) unstable; urgency=medium

  * New upstream version 3.46.1.3+dfsg
  * Refreshing patches

 -- Pierre Gruet <pgt@debian.org>  Tue, 08 Oct 2024 23:02:26 +0200
