=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xerial-sqlite-jdbc
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Pierre Gruet <pgt@debian.org>,
            Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -17,7 +16,7 @@
                libslf4j-java,
                libsqlite3-dev,
                maven-debian-helper
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/java-team/xerial-sqlite-jdbc
 Vcs-Git: https://salsa.debian.org/java-team/xerial-sqlite-jdbc.git
 Rules-Requires-Root: no
