## xerial-sqlite-jdbc 3.50.3.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                dh-exec,
                javahelper,
                junit5 <!nocheck>,
-               libassertj-core-java <!nocheck>,
+               libassertj-core-java,
                libmaven-compiler-plugin-java,
                libmaven-jar-plugin-java,
-               libmockito-java <!nocheck>,
+               libmockito-java,
                libslf4j-java,
                libsqlite3-dev,
                maven-debian-helper
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/java-team/xerial-sqlite-jdbc
 Vcs-Git: https://salsa.debian.org/java-team/xerial-sqlite-jdbc.git
 Rules-Requires-Root: no
