=== debian/changelog ===
xerial-sqlite-jdbc (3.50.3.0+dfsg-2) unstable; urgency=medium

  * Raising Standards version to 4.7.2 (no change)
  * Removing the nocheck annotation from the assertj and mockito B-D
    (Closes: #1116927)

 -- Pierre Gruet <pgt@debian.org>  Sat, 04 Oct 2025 23:59:16 +0200

xerial-sqlite-jdbc (3.50.3.0+dfsg-1) unstable; urgency=low

  * add debian/gbp.conf
  * New upstream version 3.50.3.0+dfsg
  * Rebase debian/patches to latest upstream version.
  * debian/maven.ignoreRules: add org.sonatype.central

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 13 Aug 2025 14:40:41 +0100
