=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,11 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 JAVA_HOME=/usr/lib/jvm/default-java
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 
 %:
-	dh $@ --buildsystem=maven
+	dh $@ --buildsystem=maven --with javahelper
 
 override_dh_auto_clean:
 	dh_auto_clean
