=== debian/tests/control ===
Tests: test001
Depends: default-jdk, @
Restrictions: allow-stderr
