=== debian/watch ===
version=4

opts="dversionmangle=auto,\
      repack,repacksuffix=+dfsg,compression=xz,\
      filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xerial-sqlite-jdbc-$1.tar.gz%" \
 https://github.com/xerial/sqlite-jdbc/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
